2019-12-10 14:59 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000955Spring engineGeneralpublic2008-06-18 19:50
Reporterzenzike 
Assigned ToAuswaschbar 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version0.76b1+svn 
Target VersionFixed in Version 
Summary0000955: Cannot host and spectate
DescriptionI've made a startscript that allows me to spectate the game when 2 bots are fighting one another, and it worked fine in Spring 0.76b. However, it doesn't work in the svn version.

If I launch this in 0.76b+, both AI teams get created and start playing. However, I am down as an Ally, rather than a Spectator, and I can control Team 1 units (at the same time as the AI -- it's actually quite entertaining, but really not what I want). The line of sight is also restricted -- ie, I really am considered a player, and not a spectator.

Script attached.
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files
  • txt file icon startscript.txt (983 bytes) 2008-06-17 11:25 -
    [GAME]
    {
       Mapname=SmallDivide.smf;
       GameType=BA621.sd7;
       ModHash=0;
       diminishingmms=0;
       ghostedbuildings=1;
       limitdgun=0;
       gamemode=0;
       maxunits=500;
       startenergy=1000;
       startmetal=1000;
       startpostype=0;
       HostIP=localhost;
       HostPort=8452;
    
       MyPlayerNum=0;
       NumPlayers=1;
       NumTeams=2;
       NumAllyTeams=2;
    
       [PLAYER0]
       {
          name=zenzike;
          countryCode=gb;
          Spectator=1;
       }
    
       [TEAM0]
       {
          TeamLeader=0;
          AllyTeam=0;
          RGBColor=1.000000 0.000000 0.000000;
          Side=ARM;
          Handicap=0;
          AIDLL=/spring/game/AI/Bot-libs/KAIK-0.13.so;
       }
       [TEAM1]
       {
          TeamLeader=0;
          AllyTeam=1;
          RGBColor=0.000000 0.000000 1.000000;
          Side=ARM;
          Handicap=0;
          AIDLL=/spring/game/AI/Bot-libs/KAIK-0.13.so;
       }
       [ALLYTEAM0]
       {
          NumAllies=0;
       }
       [ALLYTEAM1]
       {
          NumAllies=0;
       }
       NumRestrictions=0;
       [RESTRICT]
       {
       }
       [mapoptions]
       {
       }
       [modoptions]
       {
       }
    }
    
    txt file icon startscript.txt (983 bytes) 2008-06-17 11:25 +

-Relationships
+Relationships

-Notes

~0002336

Kloot (developer)

Last edited: 2008-06-17 16:33

Happens because CGameServer always sends out a TEAMMSG_JOIN_TEAM in BindConnection() for player 0, which overrides the spectat** fields set in CGameSetup when CGame receives it.

~0002349

Auswaschbar (reporter)

Fixed in rev6043. Thanks for the report.
+Notes

-Issue History
Date Modified Username Field Change
2008-06-17 11:25 zenzike New Issue
2008-06-17 11:25 zenzike File Added: startscript.txt
2008-06-17 16:20 Auswaschbar Status new => assigned
2008-06-17 16:20 Auswaschbar Assigned To => Auswaschbar
2008-06-17 16:25 Kloot Note Added: 0002336
2008-06-17 16:33 Kloot Note Edited: 0002336
2008-06-18 19:50 Auswaschbar Status assigned => resolved
2008-06-18 19:50 Auswaschbar Resolution open => fixed
2008-06-18 19:50 Auswaschbar Note Added: 0002349
+Issue History